<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
		<!ENTITY nbsp "&#160;">
		<!ENTITY apos "&#39;">
]>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html" encoding="UTF-8" media-type="string" indent="yes"/>

    <xsl:variable name="headerContent">
        <xsl:element name="img">
            <xsl:attribute name="src">
                <xsl:value-of select="/ospiPresentation/presentationFiles/rusigdrcredwhite2png/artifact/fileArtifact/uri"/>
            </xsl:attribute>
            <xsl:attribute name="alt">
                <xsl:text>Rutgers Douglass Residential College</xsl:text>
            </xsl:attribute>
            <xsl:attribute name="style">
                <xsl:text>display: inline; float: left</xsl:text>
            </xsl:attribute>
            <xsl:attribute name="width">
                <xsl:text>289</xsl:text>
            </xsl:attribute>
            <xsl:attribute name="height">
                <xsl:text>75</xsl:text>
            </xsl:attribute>
        </xsl:element>
        <xsl:element name="img">
            <xsl:attribute name="src">
                <xsl:value-of select="/ospiPresentation/presentationFiles/eportfoliologored2png/artifact/fileArtifact/uri"/>
            </xsl:attribute>
            <xsl:attribute name="alt">
                <xsl:text>ePortfolio</xsl:text>
            </xsl:attribute>
            <xsl:attribute name="style">
                <xsl:text>display: inline; float: right</xsl:text>
            </xsl:attribute>
            <xsl:attribute name="width">
                <xsl:text>213</xsl:text>
            </xsl:attribute>
            <xsl:attribute name="height">
                <xsl:text>75</xsl:text>
            </xsl:attribute>
        </xsl:element>
    </xsl:variable>

    <xsl:variable name="footerContent">
        <xsl:text>Disclaimer: &lt;a href="/access/content/group/18bdcbb8-3b18-4d1c-92de-5cd110641079/public/disclaimer.html" target="_blank" &gt;Legal Disclaimer&lt;/a&gt;</xsl:text>
    </xsl:variable>

    <xsl:output method="html"/>

    <xsl:template match="/">

        <!--<xsl:param name="artifactID">
            <xsl:value-of select="/ospiPresentation/simplePage/artifact[not(./structuredData/webPage/sortOrder &gt; ../structuredData/webPage/sortOrder)]/metaData/id"/>
            </xsl:param>
            <xsl:param name="subPage">0</xsl:param>
            <xsl:param name="id"/>-->
        <xsl:param name="page">home</xsl:param>
        <xsl:param name="subPage">0</xsl:param>
               <!-- <xsl:param name="page">matrix</xsl:param>
        <xsl:param name="subPage">20EEA3532DD1C688D9ED33C9570BBB5D</xsl:param>-->

        <xsl:param name="id"/>
        <xsl:variable name="browserPageTitle">
            <xsl:choose>
                <xsl:when test="$page = 'home'">
                    <xsl:value-of select="/ospiPresentation/name[1]"/>
                    <xsl:text> | Home</xsl:text>
                </xsl:when>
                <xsl:when test="$page = 'aboutMe'">
                    <xsl:value-of select="/ospiPresentation/name[1]"/>
                    <xsl:text> | About Me</xsl:text>
                </xsl:when>
                <xsl:when test="$page = 'leadership'">
                    <xsl:value-of select="/ospiPresentation/name[1]"/>
                    <xsl:text> | Leadership Transcript</xsl:text>
                </xsl:when>
                <xsl:when test="$page = 'myPathway'">
                    <xsl:value-of select="/ospiPresentation/name[1]"/>
                    <xsl:text> | My Pathway</xsl:text>
                </xsl:when>
                <xsl:when test="$page = 'resume'">
                    <xsl:value-of select="/ospiPresentation/name[1]"/>
                    <xsl:text> | Resume</xsl:text>
                </xsl:when>
                <xsl:when test="$page = 'matrix'">
                    <xsl:choose>
                        <xsl:when test="$subPage = 0">
                            <xsl:value-of select="/ospiPresentation/name[1]"/>
                            <xsl:text> | Accomplishments</xsl:text>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:value-of select="/ospiPresentation/name[1]"/>
                            <xsl:text> | Accomplishments | </xsl:text>
                            <xsl:value-of select="/ospiPresentation/douglassMatrix/artifact/scaffolding/levels/level[id = $subPage]/description"/>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:choose>
                        <xsl:when test="$subPage != 0">
                            <xsl:value-of select="/ospiPresentation/name[1]"/>
                            <xsl:text> | </xsl:text>
                            <xsl:value-of select="/ospiPresentation/node()[name() = $page]/artifact/structuredData/webPage/pageTitle"/>
                            <xsl:text> | </xsl:text>
                            <xsl:value-of select="/ospiPresentation/node()[name() = $page]/artifact/structuredData/webPage/webPage[$subPage]/pageTitle"/>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:value-of select="/ospiPresentation/name[1]"/>
                            <xsl:text> | </xsl:text>
                            <xsl:value-of select="/ospiPresentation/node()[name() = $page]/artifact/structuredData/webPage/pageTitle"/>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>

        <html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">

            <head>
                <title>
                    <xsl:value-of select="$browserPageTitle"/>
                </title>
                <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
                <link rel="shortcut icon" href="/misc/favicon.ico" type="image/x-icon"/>
                <link rel="stylesheet" type="text/css" href="/access/content/group/18bdcbb8-3b18-4d1c-92de-5cd110641079/public/douglass.css"/>
                <link rel="stylesheet" type="text/css" media="print" href="/access/content/group/18bdcbb8-3b18-4d1c-92de-5cd110641079/public/douglassPrint.css"/>
                <!--<script type="text/javascript" src="http://yui.yahooapis.com/2.5.1/build/yahoo/yahoo-min.js"/>-->
            </head>

            <body>
                <!--<div color="red">
                    <xsl:text>artifactID = </xsl:text>
                    <xsl:value-of select="$page"/>
                    <br/>
                    <xsl:text>subPage = </xsl:text>
                    <xsl:value-of select="$subPage"/>
                    <br/>
                    <xsl:text>id = </xsl:text>
                    <xsl:value-of select="$id"/>
                    <br/>
                    <xsl:text>displayContentCreatedDate = </xsl:text>
                    <xsl:value-of select="/ospiPresentation/presentationProperties/outline/displayContentCreatedDate"/>
                    </div>-->

                <div id="doc">
		  <xsl:if test="$page = 'resume'">
		    <xsl:attribute name="id">docresume</xsl:attribute>
		  </xsl:if>

                    <!--<xsl:call-template name="header">
                        <xsl:with-param name="headerContent">
                            <xsl:value-of select="$headerContent" disable-output-escaping="yes"/>
                        </xsl:with-param>
                        </xsl:call-template>-->
                    
                    <div id="hd" class="hideForPrint">
		      <img src="/access/content/group/18bdcbb8-3b18-4d1c-92de-5cd110641079/public/RU_SIG_DRC_RED_WHITE2.png" alt="Rutgers Douglass Residential College" style="display: inline; float: left" width="289" height="75" /><img src="/access/content/group/18bdcbb8-3b18-4d1c-92de-5cd110641079/public/ePortfolio_logo_red2.png" alt="ePortfolio" style="display: inline; float: right" width="203" height="75" />
                        <div style="clear: both">
                            <span/>
                        </div>
                    </div>

                    <xsl:element name="div">
                        <xsl:attribute name="class">
                            <xsl:text>navContentWrapper</xsl:text>
                        </xsl:attribute>
                        <xsl:attribute name="style">
                            <xsl:text>background: #FFFFFF url('https://sakai.rutgers.edu/access/content/group/18bdcbb8-3b18-4d1c-92de-5cd110641079/public/swoosh+red2.png') no-repeat left top</xsl:text>
                        </xsl:attribute>
                        <div class="topNavigation hideForPrint">
                            <ul class="nav-links">
                                <li>
                                    <xsl:call-template name="link">
                                        <xsl:with-param name="presentationID">
                                            <xsl:value-of select="$id"/>
                                        </xsl:with-param>
                                        <xsl:with-param name="params">
                                            <xsl:text>&amp;page=home</xsl:text>
                                            <xsl:text>&amp;subPage=0</xsl:text>
                                        </xsl:with-param>
                                        <xsl:with-param name="linkText">
                                            <xsl:text>Home</xsl:text>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </li>
                                <li>
                                    <xsl:call-template name="link">
                                        <xsl:with-param name="presentationID">
                                            <xsl:value-of select="$id"/>
                                        </xsl:with-param>
                                        <xsl:with-param name="params">
                                            <xsl:text>&amp;page=aboutMe</xsl:text>
                                            <xsl:text>&amp;subPage=0</xsl:text>
                                        </xsl:with-param>
                                        <xsl:with-param name="linkText">
                                            <xsl:text>About Me</xsl:text>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </li>
                                <li>
                                    <xsl:call-template name="link">
                                        <xsl:with-param name="presentationID">
                                            <xsl:value-of select="$id"/>
                                        </xsl:with-param>
                                        <xsl:with-param name="params">
                                            <xsl:text>&amp;page=myPathway</xsl:text>
                                            <xsl:text>&amp;subPage=0</xsl:text>
                                        </xsl:with-param>
                                        <xsl:with-param name="linkText">
                                            <xsl:text>My Pathway</xsl:text>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </li>
                                <li>
                                    <xsl:call-template name="link">
                                        <xsl:with-param name="presentationID">
                                            <xsl:value-of select="$id"/>
                                        </xsl:with-param>
                                        <xsl:with-param name="params">
                                            <xsl:text>&amp;page=matrix</xsl:text>
                                            <xsl:text>&amp;subPage=0</xsl:text>
                                        </xsl:with-param>
                                        <xsl:with-param name="linkText">
                                            <xsl:text>Accomplishments</xsl:text>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </li>
                                <li>
                                    <xsl:call-template name="link">
                                        <xsl:with-param name="presentationID">
                                            <xsl:value-of select="$id"/>
                                        </xsl:with-param>
                                        <xsl:with-param name="params">
                                            <xsl:text>&amp;page=leadership</xsl:text>
                                            <xsl:text>&amp;subPage=0</xsl:text>
                                        </xsl:with-param>
                                        <xsl:with-param name="linkText">
                                            <xsl:text>Leadership Transcript</xsl:text>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </li>
                                <li>
                                    <xsl:call-template name="link">
                                        <xsl:with-param name="presentationID">
                                            <xsl:value-of select="$id"/>
                                        </xsl:with-param>
                                        <xsl:with-param name="params">
                                            <xsl:text>&amp;page=resume</xsl:text>
                                            <xsl:text>&amp;subPage=0</xsl:text>
                                        </xsl:with-param>
                                        <xsl:with-param name="linkText">
                                            <xsl:text>Resume</xsl:text>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </li>
                            </ul>
                        </div>
                        <div class="mainContent">
                            <xsl:call-template name="content">
                                <xsl:with-param name="id">
                                    <xsl:value-of select="$id"/>
                                </xsl:with-param>
                                <xsl:with-param name="page">
                                    <xsl:value-of select="$page"/>
                                </xsl:with-param>
                                <xsl:with-param name="subPage">
                                    <xsl:value-of select="$subPage"/>
                                </xsl:with-param>
                            </xsl:call-template>
                        </div>
                    </xsl:element>

                    <xsl:call-template name="footer">
                        <xsl:with-param name="footerContent">
                            <xsl:value-of select="$footerContent" disable-output-escaping="yes"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </div>
            </body>
        </html>
    </xsl:template>

    <xsl:template name="header">
        <xsl:param name="headerContent"/>
        <div id="hd">
            <xsl:value-of select="$headerContent" disable-output-escaping="yes"/>
            <div style="clear: both">
                <span/>
            </div>
        </div>
    </xsl:template>

    <xsl:template name="footer">
        <xsl:param name="footerContent"/>
        <div id="ft" class="hideForPrint">
            <xsl:value-of select="$footerContent" disable-output-escaping="yes"/>
        </div>
    </xsl:template>

    <xsl:template match="level" mode="linkList">
        <xsl:param name="id"/>
        <xsl:variable name="levelId">
            <xsl:value-of select="id"/>
        </xsl:variable>
        <xsl:if test="count(/ospiPresentation/douglassMatrix//cell[scaffoldingCell/level/id = $levelId]//attachments/attachment) > 0 or
            count(/ospiPresentation/douglassMatrix//cell[scaffoldingCell/level/id = $levelId]//pageForms/pageForm) > 0">
            <xsl:text>&lt;li&gt;</xsl:text>
            <xsl:call-template name="link">
                <xsl:with-param name="presentationID">
                    <xsl:value-of select="$id"/>
                </xsl:with-param>
                <xsl:with-param name="params">
                    <xsl:text>&amp;page=matrix</xsl:text>
                    <xsl:text>&amp;subPage=</xsl:text>
                    <xsl:value-of select="id"/>
                </xsl:with-param>
                <xsl:with-param name="linkText">
                    <xsl:value-of select="./description"/>
                </xsl:with-param>
            </xsl:call-template>
            <xsl:text>&lt;/l&gt;</xsl:text>
        </xsl:if>
    </xsl:template>

    <xsl:template name="subNavigation">
        <xsl:param name="id"/>
        <xsl:param name="page"/>
        <div class="subNavigation">
            <ul class="nav-links">
                <xsl:apply-templates select="/ospiPresentation/node()[name() = $page]/artifact/structuredData/webPage/webPage" mode="list">
                    <xsl:sort data-type="number" order="ascending" select="sortOrder"/>
                    <xsl:with-param name="id">
                        <xsl:value-of select="$id"/>
                    </xsl:with-param>
                    <xsl:with-param name="page">
                        <xsl:value-of select="$page"/>
                    </xsl:with-param>
                </xsl:apply-templates>
            </ul>
        </div>
    </xsl:template>

    <xsl:template match="webPage/webPage" mode="list">
        <xsl:param name="id"/>
        <xsl:param name="page"/>
        <xsl:element name="li">
            <xsl:call-template name="link">
                <xsl:with-param name="presentationID">
                    <xsl:value-of select="$id"/>
                </xsl:with-param>
                <xsl:with-param name="params">
                    <xsl:text>&amp;page=</xsl:text>
                    <xsl:value-of select="$page"/>
                    <xsl:text>&amp;subPage=</xsl:text>
                    <xsl:number count="webPage/webPage"/>
                </xsl:with-param>
                <xsl:with-param name="linkText">
                    <xsl:value-of select="pageTitle" disable-output-escaping="yes"/>
                </xsl:with-param>
            </xsl:call-template>
        </xsl:element>
    </xsl:template>

    <xsl:template name="content">
        <xsl:param name="id"/>
        <xsl:param name="page"/>
        <xsl:param name="subPage"/>

        <xsl:variable name="title">
            <xsl:choose>
                <xsl:when test="$page = 'home'">
                    <xsl:text>Home</xsl:text>
                </xsl:when>
                <xsl:when test="$page = 'aboutMe'">
                    <xsl:text>About Me</xsl:text>
                </xsl:when>
                <xsl:when test="$page = 'leadership'">
                    <xsl:text>Leadership Transcript</xsl:text>
                </xsl:when>
                <xsl:when test="$page = 'resume'">
                    <xsl:text>Resume</xsl:text>
                </xsl:when>
                <xsl:when test="$page = 'myPathway'">
                    <xsl:text>My Pathway</xsl:text>
                </xsl:when>
                <xsl:when test="$page = 'matrix'">
                    <xsl:choose>
                        <xsl:when test="$subPage = '0'">
                            <xsl:text>Accomplishments</xsl:text>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:text>&lt;a href="viewPresentation.osp?id=</xsl:text>
                            <xsl:value-of select="$id"/>
                            <xsl:text>&amp;page=matrix&amp;subPage=0"&gt;Accomplishments&lt;/a&gt; > </xsl:text>
                            <xsl:value-of select="//douglassMatrix/artifact/scaffolding/levels/level[./id = $subPage]/description"/>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:choose>
                        <xsl:when test="$subPage != 0">
                            <xsl:value-of select="/ospiPresentation/node()[name() = $page]/artifact/structuredData/webPage/pageTitle"/>
                            <xsl:text>: </xsl:text>
                            <xsl:value-of select="/ospiPresentation/node()[name() = $page]/artifact/structuredData/webPage/webPage[$subPage]/pageTitle"/>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:value-of select="/ospiPresentation/node()[name() = $page]/artifact/structuredData/webPage/pageTitle"/>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>

        <xsl:if test="$page = 'resume'">
          <xsl:text disable-output-escaping="yes">&lt;div class="hideForPrint"&gt;</xsl:text>
        </xsl:if>

        <xsl:call-template name="pageHeader">
            <xsl:with-param name="text">
                <xsl:value-of select="$title" disable-output-escaping="yes"/>
            </xsl:with-param>
        </xsl:call-template>

        <xsl:if test="$page = 'resume'">
          <xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
        </xsl:if>

        <xsl:if test="$page = 'resume'">

            <table cellspacing="5" cellpadding="0" border="0">

                <tr>
                    <td class="rightTD">
                        <xsl:choose>
                            <xsl:when test="//heading"> </xsl:when>
                            <xsl:otherwise>
                                <xsl:text>Contact information missing!</xsl:text>
                            </xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>

            </table>





            <xsl:if test="count(//structuredData/address) =1">

                <table class="header2" cellspacing="5" cellpadding="0" border="0">

                    <xsl:if test="//heading">
                        <tr>
                            <td>
				<xsl:text disable-output-escaping="yes">&lt;p&gt;</xsl:text>
                                <span class="userName2">
                                    <xsl:value-of select="//heading/firstName"/>&nbsp; <xsl:if test="//heading/middleName">
                                        <xsl:value-of select="//heading/middleName"/>&nbsp; </xsl:if>
                                    <xsl:value-of select="//heading/lastName"/>
                                </span>
				<xsl:text disable-output-escaping="yes">&lt;p style="margin-top:0.35em"&gt;</xsl:text>
                                <xsl:if test="//addressOne">
                                    <span class="contactInfoData">
                                        <xsl:value-of select="//addressOne"/>
                                    </span>
                                    <br/>
                                </xsl:if>

                                <span class="contactInfoData">
                                    <xsl:if test="//addressCity or //addressState or //addressZip">
                                        <xsl:if test="//addressCity">
                                            <xsl:value-of select="//addressCity"/>
                                        </xsl:if>
                                        <xsl:if test="//addressState">&nbsp;<xsl:value-of select="//addressState"/></xsl:if>
                                        <xsl:if test="//addressZip">&nbsp;<xsl:value-of select="//addressZip"/></xsl:if>
                                    </xsl:if>
                                </span>
                                <br/>
                                <span class="contactInfoData">
                                    <xsl:if test="//phoneNumber">
                                        <xsl:value-of select="//phoneNumber"/>
                                    </xsl:if>
                                </span>
                                <br/>

                                <xsl:if test="//structuredData/email">
                                    <span class="emailData">

                                        <xsl:for-each select="//structuredData/email">
					    &nbsp;  <a>
                                                <xsl:attribute name="href">mailto:<xsl:value-of select="emailAddress"/>
                                                </xsl:attribute>
                                                <xsl:value-of select="emailAddress"/>
                                            </a>&nbsp; </xsl:for-each>
                                    </span>

                                </xsl:if>
                            </td>
                        </tr>
                    </xsl:if>
                </table>
            </xsl:if>
















            <xsl:if test="count(//structuredData/address) =2">

                <table class="header1" cellspacing="0" cellpadding="0" border="0">


                    <xsl:if test="//heading">
                        <tr>
                            <td>
                                <span class="userName1">
                                    <xsl:value-of select="//heading/firstName"/>&nbsp; <xsl:if test="//heading/middleName">
                                        <xsl:value-of select="//heading/middleName"/>&nbsp; </xsl:if>
                                    <xsl:value-of select="//heading/lastName"/>
                                </span>



                                <xsl:if test="//structuredData/email">
                                    <p class="emailData">

                                        <xsl:for-each select="//structuredData/email">
                                            &nbsp;<a>
                                                <xsl:attribute name="href">mailto:<xsl:value-of select="emailAddress"/>
                                                </xsl:attribute>
                                                <xsl:value-of select="emailAddress"/>
                                            </a>&nbsp; </xsl:for-each>
                                    </p>

                                </xsl:if>
                            </td>
                        </tr>
                    </xsl:if>
                </table>


                <table class="header" cellspacing="0" cellpadding="0" border="0">
                    <tr>

                        <xsl:for-each select="//structuredData/address">
                            <xsl:sort select="order" order="ascending"/>
                            <td>



                                <xsl:attribute name="class">
                                    <xsl:choose>
                                        <xsl:when test="order='1'">
                                            <xsl:text>campus</xsl:text>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <xsl:text>home</xsl:text>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </xsl:attribute>





                                <xsl:if test="addressType">
                                    <span class="textBold1">
                                        <xsl:value-of select="addressType"/>
                                    </span>
                                    <br/>
                                </xsl:if>

                                <xsl:if test="addressOne">
                                    <span class="contactInfoData">
                                        <xsl:value-of select="addressOne"/>
                                    </span>
                                    <br/>
                                </xsl:if>

                                <span class="contactInfoData">
                                    <xsl:if test="addressCity or addressState or addressZip">
                                        <xsl:if test="addressCity">
                                            <xsl:value-of select="addressCity"/>
                                        </xsl:if>,&nbsp; <xsl:if test="addressState">&nbsp;<xsl:value-of select="addressState"/></xsl:if>
                                        <xsl:if test="addressZip">&nbsp;<xsl:value-of select="addressZip"/></xsl:if>
                                    </xsl:if>
                                </span>
                                <br/>

                                <span class="contactInfoData">
                                    <xsl:if test="phoneNumber">
                                        <xsl:value-of select="phoneNumber"/>
                                    </xsl:if>
                                </span>


                            </td>


                        </xsl:for-each>

                    </tr>
                </table>


            </xsl:if>

            <table border="0" cellpadding="2" cellspacing="0" width="100%">
            <xsl:if test="//objective">

                    <tr>
                        <td class="leftTD"><p>OBJECTIVE</p></td>

                        <td class="rightTD">

                            <xsl:for-each select="//structuredData/objective">
                                <xsl:sort/>
                                <p><xsl:value-of select="nameObjective"/>&nbsp;</p>
                            </xsl:for-each>

                        </td>
                    </tr>
            </xsl:if>

            <xsl:if test="//summary">

                    <tr>
                        <td class="leftTD"><p>SUMMARY</p></td>

                        <td class="rightTD">

                            <xsl:for-each select="//structuredData/summary">
                                <xsl:sort/>
                                <p><xsl:value-of select="nameSummary"/>&nbsp;</p>
                            </xsl:for-each>

                        </td>
                    </tr>

            </xsl:if>



            <xsl:if test="//education">
                    <tr>
                        <td class="leftTD"><p>EDUCATION</p></td>

                        <td class="rightTD">

                            <xsl:for-each select="//structuredData/education">
                                <xsl:sort select="order" order="ascending"/>

                                <p class="under">
                                    <xsl:if test="institution"><xsl:value-of select="institution"/>,&nbsp;</xsl:if>
                                    <xsl:if test="cityState">
                                        <xsl:value-of select="cityState"/>
                                    </xsl:if>
                                </p>
                                <p>
                                    <xsl:if test="degree"><xsl:value-of select="degree"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</xsl:if>
                                    <xsl:if test="date">
                                        <xsl:value-of select="date"/>
                                    </xsl:if>
                                </p>


                                <xsl:if test="major">
                                    <p>
                                        <span class="textBold">Major:&nbsp;</span>
                                        <xsl:for-each select="major">
                                            <xsl:value-of select="."/>
                                            <xsl:if test="position() != last()">,&nbsp;</xsl:if>
                                        </xsl:for-each>
                                    </p>
                                </xsl:if>

                                <xsl:if test="minor">
                                    <p>
                                        <span class="textBold">Minor:&nbsp;</span>
                                        <xsl:for-each select="minor">
                                            <xsl:value-of select="."/>
                                            <xsl:if test="position() != last()">,&nbsp;</xsl:if>
                                        </xsl:for-each>
                                    </p>
                                </xsl:if>

                                <xsl:choose>
                                    <xsl:when test="gpa and majorgpa">
                                        <p>GPA:&nbsp;<xsl:value-of select="gpa"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Major GPA:&nbsp;<xsl:value-of select="majorgpa"/></p>
                                    </xsl:when>

                                    <xsl:otherwise>
                                        <xsl:if test="gpa">
                                            <p>GPA:&nbsp;<xsl:value-of select="gpa"/></p>
                                        </xsl:if>

                                        <xsl:if test="majorgpa">
                                            <p>Major GPA:&nbsp;<xsl:value-of select="majorgpa"/></p>
                                        </xsl:if>
                                    </xsl:otherwise>
                                </xsl:choose>
                                <xsl:if test="addInfo">
                                    <p>
                                        <xsl:value-of select="addInfo"/>
                                    </p>
                                </xsl:if>
                                <br/>
                            </xsl:for-each>

                        </td>
                    </tr>

            </xsl:if>




            <!-- honor section starts here -->
            <xsl:if test="//structuredData/honor">
                    <tr>
                        <td class="leftTD"><p>HONORS</p></td>


                        <td class="rightTD">
                          <p>
                            <xsl:for-each select="//structuredData/honor">
                                <xsl:sort/>
                                <xsl:if test="nameHonor">
                                        <xsl:if test="position() != 1">,&nbsp;</xsl:if>
                                        <xsl:for-each select="nameHonor">
                                            <xsl:if test="position() != 1">,&nbsp;</xsl:if>
                                            <xsl:value-of select="."/>
                                        </xsl:for-each>

                                </xsl:if>
                            </xsl:for-each>
                          </p>
                        </td>

                    </tr>
            </xsl:if>





            <!-- relevantCourses section starts here -->
            <xsl:if test="//relevantCourses">
                    <tr>
                        <td class="leftTD"><p>RELEVANT COURSES</p></td>


                        <td class="rightTD">
                            <xsl:for-each select="//relevantCourses">
                                <xsl:sort/>
                                <xsl:if test="relevantCourse">
                                    <xsl:for-each select="relevantCourse">
                                        <p>
                                            <xsl:value-of select="."/>
                                        </p>
                                    </xsl:for-each>
                                </xsl:if>
                            </xsl:for-each>
                        </td>
                    </tr>
            </xsl:if>



            <!-- experience section starts here -->
            <xsl:if test="//structuredData/experience">
                    <tr>
                        <td class="leftTD"><p>EXPERIENCE</p></td>
                        <td class="rightTD">&nbsp;</td>
                    </tr>

                    <xsl:for-each select="//structuredData/experience">
                        <xsl:sort select="order" order="ascending"/>
                        <tr>
                            <td class="leftText">
                                <p><xsl:value-of select="datesEmployment"/></p>
                            </td>
                            <td class="rightTD">

                                <p class="under"><xsl:value-of select="employer"/>,&nbsp;<xsl:value-of select="cityEmployer"/></p>
                                <p>
                                    <span class="textBold">
                                        <xsl:value-of select="title"/>
                                    </span>
                                </p>
                                <p>
                                    <xsl:value-of select="fullDescExperience"/>
                                </p>
                                <br/>

                            </td>
                        </tr>
                    </xsl:for-each>
            </xsl:if>



            <!-- project section starts here -->
            <xsl:if test="//structuredData/project">
                    <tr>
                        <td class="leftTD"><p>PROJECTS</p></td>
                        <td class="rightTD">&nbsp;</td>
                    </tr>

                    <xsl:for-each select="//structuredData/project">
                        <xsl:sort select="order" order="ascending"/>
                        <tr>
                            <td class="leftText">
                                <p><xsl:value-of select="datesEmployment"/></p>
                            </td>
                            <td class="rightTD">

                                <p>
                                    <span class="textBold">
                                        <xsl:value-of select="title"/>
                                    </span>
                                </p>
                                <p>
                                    <xsl:value-of select="fullDescExperience"/>
                                </p>
                                <br/>

                            </td>
                        </tr>
                    </xsl:for-each>
            </xsl:if>





            <!-- skills section starts here -->
            <xsl:if test="//structuredData/computerSkills">
                    <tr>
                        <td class="leftTD"><p>SKILLS</p></td>

                        <td class="rightTD3">
                            <p>
                            <xsl:for-each select="//structuredData/computerSkills">
                                <xsl:sort/>
                                 <xsl:if test="compSkills">
                                        <xsl:if test="position() != 1">,&nbsp;</xsl:if>
                                        <xsl:for-each select="compSkills">
                                            <xsl:if test="position() != 1">,&nbsp;</xsl:if>
                                            <xsl:value-of select="."/>
                                        </xsl:for-each>
                                </xsl:if>
                            </xsl:for-each>
                            </p>
                        </td>

                    </tr>


            </xsl:if>















            <!-- membership section starts here -->
            <xsl:if test="//membership">
                    <tr>
                        <td class="leftTD"><p>ACTIVITIES</p></td>


                        <td class="rightTD">
                            <xsl:for-each select="//membership">
                                <xsl:sort/>
                                <xsl:if test="nameMembership">
                                    <xsl:for-each select="nameMembership">
                                        <p>
                                            <xsl:value-of select="."/>
                                        </p>
                                    </xsl:for-each>
                                </xsl:if>
                            </xsl:for-each>
                        </td>
                    </tr>
            </xsl:if>
	    </table>


            <table class="header" cellspacing="0" cellpadding="0" border="0">
                <xsl:if test="//footer">
                    <tr>
                        <td>
                            <p class="foot">
                                <xsl:value-of select="//footer/choiceOne"/>&nbsp; <br/>
                                <xsl:value-of select="//footer/choiceTwo"/>&nbsp; </p>
                        </td>
                    </tr>
                </xsl:if>
            </table>

	    <xsl:variable name="support" select="/ospiPresentation/resume//pageDefinition[./title='Add Supporting Materials']/.." />

            <xsl:if test="$support/attachments/attachment/artifact or $support//resume-supportURL">
              <table width="100%" border="0" cellspacing="0" cellpadding="3" class="hideForPrint">
                <tr>
                    <td class="leftTD">
		      <p>SUPPORTING MATERIALS</p>
		    </td>
		    <td class="rightTD">
		      <p>
                        <xsl:if test="$support/attachments/attachment/artifact">
                          <xsl:for-each select="$support/attachments/attachment/artifact">
			    <a>
			      <xsl:attribute name="href">
				<xsl:value-of select="fileArtifact/uri"/>
			      </xsl:attribute>
			      <xsl:value-of select="metaData/displayName"/>
			    </a><br/>
                          </xsl:for-each>
                        </xsl:if>
                        <xsl:if test="$support//resume-supportURL">
                          <xsl:for-each select="$support//resume-supportURL">
			    <a>
			      <xsl:attribute name="href">
				<xsl:value-of select="linkURL"/>
			      </xsl:attribute>
			      <xsl:value-of select="nameURL"/>
			    </a><br/>
                          </xsl:for-each>
                        </xsl:if>
		      </p>
                    </td>
                </tr>
              </table>
	    </xsl:if>

            <div id="hd" class="hideForPrint">
              <a href="/access/content/group/18bdcbb8-3b18-4d1c-92de-5cd110641079/public/printResume.html" target="_blank">How to print your resume</a>
	    </div>

        </xsl:if>

        <xsl:choose>
            <xsl:when test="$page != 'coursework' and $page != 'workExperience' and /ospiPresentation/node()[name() = $page]/artifact/structuredData/webPage/webPage">
                <xsl:call-template name="subNavigation">
                    <xsl:with-param name="id">
                        <xsl:value-of select="$id"/>
                    </xsl:with-param>
                    <xsl:with-param name="page">
                        <xsl:value-of select="$page"/>
                    </xsl:with-param>
                </xsl:call-template>
            </xsl:when>
        </xsl:choose>

        <xsl:variable name="pageTextBody">
            <xsl:choose>
                <!--<xsl:when test="$page = 'coursework'">
                    <xsl:choose>
                        <xsl:when test="$subPage = 0">
                            <xsl:text>&lt;ul&gt;</xsl:text>
                            <xsl:apply-templates select="/ospiPresentation/coursePage/artifact" mode="list">
                                <xsl:sort data-type="text" order="ascending" select="./structuredData/classProject/className"/>
                                <xsl:with-param name="id">
                                    <xsl:value-of select="$id"/>
                                </xsl:with-param>
                                <xsl:with-param name="page">
                                    <xsl:value-of select="$page"/>
                                </xsl:with-param>
                            </xsl:apply-templates>
                            <xsl:text>&lt;/ul&gt;</xsl:text>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:apply-templates select="/ospiPresentation/coursePage/artifact[./metaData/id = $subPage]" mode="full">
                                <xsl:with-param name="id">
                                    <xsl:value-of select="$id"/>
                                </xsl:with-param>
                            </xsl:apply-templates>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:when>
                <xsl:when test="$page = 'workExperience'">
                    <xsl:choose>
                        <xsl:when test="$subPage = 0">
                            <xsl:apply-templates select="/ospiPresentation/workExperience/artifact" mode="preview">
                                <xsl:with-param name="id">
                                    <xsl:value-of select="$id"/>
                                </xsl:with-param>
                                <xsl:with-param name="page">
                                    <xsl:value-of select="$page"/>
                                </xsl:with-param>
                            </xsl:apply-templates>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:apply-templates select="/ospiPresentation/workExperience/artifact[./metaData/id = $subPage]" mode="full">
                                <xsl:with-param name="id">
                                    <xsl:value-of select="$id"/>
                                </xsl:with-param>
                            </xsl:apply-templates>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:when>-->
                <xsl:when test="$page = 'leadership'"> &lt;div class="leadershipContactInfo"&gt; &lt;span class="userName2"&gt; <xsl:value-of select="//heading/firstName"/>&nbsp; <xsl:if test="//heading/middleName">
                        <xsl:value-of select="//heading/middleName"/>&nbsp; </xsl:if>
                    <xsl:value-of select="//heading/lastName"/> &lt;/span&gt; &lt;br/&gt; &lt;br/&gt; <xsl:if test="//addressOne"> &lt;span class="contactInfoData" &gt; <xsl:value-of select="//addressOne"/> &lt;/span&gt; &lt;br/&gt; </xsl:if>
                    &lt;span class="contactInfoData"&gt; <xsl:if test="//addressCity or //addressState or //addressZip">
                        <xsl:if test="//addressCity">
                            <xsl:value-of select="//addressCity"/>
                        </xsl:if>
                        <xsl:if test="//addressState">&nbsp;<xsl:value-of select="//addressState"/></xsl:if>
                        <xsl:if test="//addressZip">&nbsp;<xsl:value-of select="//addressZip"/></xsl:if>
                    </xsl:if> &lt;/span&gt; &lt;br/&gt; &lt;span class="contactInfoData"&gt; <xsl:if test="//phoneNumber">
                        <xsl:value-of select="//phoneNumber"/>
                    </xsl:if> &lt;/span&gt; &lt;br/&gt; <xsl:if test="//structuredData/email"> &lt;span class="emailData"&gt; <xsl:for-each select="//structuredData/email"> &nbsp;&lt;a href="mailto:<xsl:value-of select="emailAddress"/>"&gt;<xsl:value-of select="emailAddress"/>&lt;/a&gt;&nbsp; </xsl:for-each> &lt;/span&gt; &lt;/div&gt; </xsl:if>
                    <xsl:for-each select="/ospiPresentation/leadership//childPage">
                        <xsl:sort select="@index"/>
                        <xsl:if test="count(.//webPage) > 0"> &lt;h3&gt; <xsl:value-of select="wizardPage/pageDefinition/title"/> &lt;/h3&gt; &lt;table style="width: 100%"&gt; <xsl:apply-templates select=".//webPage[child::experienceName]" mode="leadershipExperience">
                                <xsl:sort select="order" data-type="number" order="ascending"/>
                            </xsl:apply-templates>
                            <xsl:apply-templates select=".//webPage[child::courseName]" mode="leadershipCourse">
                                <xsl:sort select="order" data-type="number" order="ascending"/>
                            </xsl:apply-templates> &lt;/table&gt; </xsl:if>

                    </xsl:for-each>
                    <xsl:if test="count(/ospiPresentation/leadership//attachment) > 0">
                        &lt;div class="hideForPrint"&gt;
                        &lt;h4&gt;Supporting Materials&lt;/h4&gt;
                        &lt;ul&gt;
                        <xsl:for-each select="/ospiPresentation/leadership//attachment"> &lt;li&gt; &lt;a href="<xsl:value-of select="artifact/fileArtifact/uri"/>"&gt; <xsl:value-of select="artifact/metaData/displayName"/> &lt;/a&gt; &lt;/li&gt; </xsl:for-each>
                        &lt;/ul&gt;
                        &lt;/div&gt;
                     </xsl:if>
            &lt;div id="hd2" class="hideForPrint"&gt;
              &lt;a href="/access/content/group/18bdcbb8-3b18-4d1c-92de-5cd110641079/public/printResume.html" target="_blank"&gt;How to print your leadership transcript&lt;/a&gt;
	    &lt;div&gt;


                </xsl:when>

                <xsl:when test="$page = 'matrix'">
                    <xsl:choose>
                        <xsl:when test="$subPage = '0'">
                            <xsl:apply-templates select="/ospiPresentation/douglassMatrix/artifact/scaffolding/levels/level" mode="linkList">
                                <xsl:sort select="@index" data-type="number" order="ascending"/>
                                <xsl:with-param name="id">
                                    <xsl:value-of select="$id"/>
                                </xsl:with-param>
                            </xsl:apply-templates>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:call-template name="matrixPageContent">
                                <xsl:with-param name="levelId">
                                    <xsl:value-of select="$subPage"/>
                                </xsl:with-param>
                            </xsl:call-template>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:when>
                <xsl:when test="$page = 'home'">
		    <xsl:variable name="pagenode" select="/ospiPresentation//pageDefinition/title[text()='Home Page']/../.."/>
                    <xsl:apply-templates select="$pagenode//webPage" mode="displayPage">
                      <xsl:sort data-type="number" order="ascending" select="order"/>
		    </xsl:apply-templates>
                    <xsl:if test="count($pagenode//attachment) > 0">
                        &lt;div class="hideForPrint"&gt;
                        &lt;h3&gt;Supporting Materials&lt;/h3&gt;
                        &lt;div&gt;
                        &lt;ul&gt;
                        <xsl:for-each select="$pagenode//attachment"> &lt;li&gt; &lt;a href="<xsl:value-of select="artifact/fileArtifact/uri"/>"&gt; <xsl:value-of select="artifact/metaData/displayName"/> &lt;/a&gt; &lt;/li&gt; </xsl:for-each>
                        &lt;/div&gt;
                        &lt;/ul&gt;
                        &lt;/div&gt;
                     </xsl:if>

                </xsl:when>
                <xsl:when test="$page = 'aboutMe'">
		    <xsl:variable name="pagenode" select="/ospiPresentation//pageDefinition/title[text()='About Me']/../.."/>
                    <xsl:apply-templates select="$pagenode//webPage" mode="displayPage">
                      <xsl:sort data-type="number" order="ascending" select="order"/>
		    </xsl:apply-templates>
                    <xsl:if test="count($pagenode//attachment) > 0">
                        &lt;div class="hideForPrint"&gt;
                        &lt;h3&gt;Supporting Materials&lt;/h3&gt;
                        &lt;div&gt;
                        &lt;ul&gt;
                        <xsl:for-each select="$pagenode//attachment"> &lt;li&gt; &lt;a href="<xsl:value-of select="artifact/fileArtifact/uri"/>"&gt; <xsl:value-of select="artifact/metaData/displayName"/> &lt;/a&gt; &lt;/li&gt; </xsl:for-each>
                        &lt;/div&gt;
                        &lt;/ul&gt;
                        &lt;/div&gt;
                     </xsl:if>

                </xsl:when>

                <xsl:otherwise>
                    <xsl:apply-templates select="/ospiPresentation/node()[name() = $page]/artifact//webPage" mode="displayPage">
                      <xsl:sort data-type="number" order="ascending" select="order"/>
		    </xsl:apply-templates>
                    <xsl:if test="$page = 'myPathway' and count(/ospiPresentation/myPathway//attachment) > 0">
                        &lt;div class="hideForPrint"&gt;
                        &lt;h3&gt;Supporting Materials&lt;/h3&gt;
                        &lt;div&gt;
                        &lt;ul&gt;
                        <xsl:for-each select="/ospiPresentation/myPathway//attachment"> &lt;li&gt; &lt;a href="<xsl:value-of select="artifact/fileArtifact/uri"/>"&gt; <xsl:value-of select="artifact/metaData/displayName"/> &lt;/a&gt; &lt;/li&gt; </xsl:for-each>
                        &lt;/div&gt;
                        &lt;/ul&gt;
                        &lt;/div&gt;
                     </xsl:if>

                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>

        <xsl:call-template name="pageBody">
            <xsl:with-param name="text">
                <xsl:value-of select="$pageTextBody" disable-output-escaping="yes"/>
            </xsl:with-param>
        </xsl:call-template>

    </xsl:template>

    <xsl:template match="webPage" mode="displayPage">
        <xsl:if test="count(pageTitle) > 0">
          <xsl:text>&lt;h3&gt;</xsl:text>
          <xsl:value-of select="pageTitle"/>
          <xsl:text>&lt;/h3&gt;</xsl:text>
        </xsl:if>
        <xsl:text>&lt;div&gt;</xsl:text>
        <xsl:value-of select="pageContent"/>
        <xsl:text>&lt;/div&gt;</xsl:text>

    </xsl:template>

    <xsl:template match="webPage" mode="leadershipExperience"> &lt;tr&gt; &lt;td style="width: 20%; vertical-align: top"&gt; <xsl:choose>
            <xsl:when test="dates">
                <xsl:value-of select="dates"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:text>N/A</xsl:text>
            </xsl:otherwise>
    </xsl:choose> &lt;/td&gt; &lt;td&gt;&lt;span style="text-decoration: underline"&gt;<xsl:value-of select="orgName"/>&lt;/span&gt;&lt;br /&gt;&lt;span style="font-weight: bold"&gt;<xsl:value-of select="experienceName"/> &lt;/span&gt;&lt;br /&gt; <xsl:value-of select="description"/>&lt;br /&gt; &lt;/td&gt;
        &lt;/tr&gt; </xsl:template>

    <xsl:template match="webPage" mode="leadershipCourse"> &lt;tr&gt; &lt;td style="width: 20%; vertical-align: top"&gt; <xsl:choose>
            <xsl:when test="dates">
                <xsl:value-of select="dates"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:text>N/A</xsl:text>
            </xsl:otherwise>
    </xsl:choose> &lt;/td&gt;&lt;td&gt;&lt;span style="text-decoration: underline"&gt;<xsl:value-of select="courseName"/>&lt;/span&gt;&lt;br /&gt;<xsl:value-of select="description"/>&lt;br /&gt; &lt;/td&gt; &lt;/tr&gt; </xsl:template>

    <xsl:template name="pageHeader">
        <xsl:param name="text"/>
        <h2>
            <xsl:value-of select="$text" disable-output-escaping="yes"/>
        </h2>
    </xsl:template>

    <xsl:template name="pageBody">
        <xsl:param name="text"/>
        <div class="contentBody">
            <xsl:value-of select="$text" disable-output-escaping="yes"/>
        </div>
    </xsl:template>

    <xsl:template match="artifact" mode="list">
        <xsl:param name="id"/>
        <xsl:param name="page"/> &lt;li&gt; <xsl:call-template name="link">
            <xsl:with-param name="presentationID">
                <xsl:value-of select="$id"/>
            </xsl:with-param>
            <xsl:with-param name="params">
                <xsl:text>&amp;page=</xsl:text>
                <xsl:value-of select="$page"/>
                <xsl:text>&amp;subPage=</xsl:text>
                <xsl:value-of select="./metaData/id"/>
            </xsl:with-param>
            <xsl:with-param name="linkText">
                <xsl:value-of select="./structuredData/classProject/className"/>
            </xsl:with-param>
        </xsl:call-template> &lt;/li&gt; </xsl:template>

    <xsl:template match="/ospiPresentation/workExperience/artifact" mode="preview">
        <xsl:param name="id"/>
        <xsl:param name="page"/> &lt;h3&gt; <xsl:call-template name="link">
            <xsl:with-param name="presentationID">
                <xsl:value-of select="$id"/>
            </xsl:with-param>
            <xsl:with-param name="params">
                <xsl:text>&amp;page=</xsl:text>
                <xsl:value-of select="$page"/>
                <xsl:text>&amp;subPage=</xsl:text>
                <xsl:value-of select="./metaData/id"/>
            </xsl:with-param>
            <xsl:with-param name="linkText">
                <xsl:value-of select="./structuredData/WorkExperience/jobTitle"/>
            </xsl:with-param>
        </xsl:call-template> &lt;/h3&gt; &lt;div style="padding-left: 2em"&gt;<xsl:value-of select="./structuredData/WorkExperience/intro" disable-output-escaping="yes"/>&lt;/div&gt; </xsl:template>

    <xsl:template match="/ospiPresentation/workExperience/artifact" mode="full"> &lt;div&gt;<xsl:value-of select="./structuredData/WorkExperience/longDescription" disable-output-escaping="yes"/>&lt;/h3&gt; </xsl:template>

    <xsl:template match="artifact" mode="full">
        <xsl:param name="id"/> &lt;div&gt;&lt;strong&gt;<xsl:text>Professor: </xsl:text>&lt;/strong&gt; <xsl:value-of select="./structuredData/classProject/classProfessor"/>&lt;/div&gt;&lt;/div&gt;
        &lt;div&gt;&lt;strong&gt;<xsl:text>Semester: </xsl:text>&lt;/strong&gt; <xsl:value-of select="./structuredData/classProject/classSemester"/>&lt;/div&gt; &lt;div style="margin-top: 1em"&gt;<xsl:value-of
            select="./structuredData/classProject/classDescription" disable-output-escaping="yes"/>&lt;/div&gt; <xsl:choose>
            <xsl:when test="count(./structuredData/classProject/classProject) > 0"> &lt;div class="projects"&gt; &lt;h3&gt;Class Projects&lt;/h3&gt; <xsl:apply-templates select="./structuredData/classProject/classProject"/> &lt;/div&gt; </xsl:when>
        </xsl:choose>
    </xsl:template>

    <xsl:template name="matrixPageContent">
        <xsl:param name="levelId"/>
	<!-- show internal links before introduction if any -->
        &lt;div class="intlink hideForPrint"&gt;
        <xsl:for-each select="//douglassMatrix/artifact/scaffolding/criteria/criteria[@index != '0']/id">
            <xsl:sort select="@index"/>
            <xsl:variable name="critId">
                <xsl:value-of select="."/>
            </xsl:variable>
            <xsl:variable name="cellId">
                <xsl:value-of select="//cell[./scaffoldingCell/level/id = $levelId and ./scaffoldingCell/rootCriterion/id = $critId]/id"/>
            </xsl:variable>
           
            <xsl:if test="count(//cell[id = $cellId]//attachments/attachment) > 0 or
                count(//cell[id = $cellId]//reflection) > 0 or 
                count(//cell[id = $cellId]//pageForms/pageForm) > 0"> 
                &lt;a href="#<xsl:value-of select="$critId"/>"&gt;<xsl:value-of select="../description"/>&lt;/a&gt;
            </xsl:if>
        </xsl:for-each>
        &lt;/div&gt;
        <xsl:variable name="introCritId">
            <xsl:value-of select="/ospiPresentation/douglassMatrix/artifact/scaffolding/criteria/criteria[@index='0']/id"/>
        </xsl:variable>
        <xsl:variable name="introCellId">
            <xsl:value-of select="//cell[./scaffoldingCell/level/id = $levelId and ./scaffoldingCell/rootCriterion/id = $introCritId]/id"/>
        </xsl:variable>
        <!-- named anchor for the top -->
        &lt;a name="top"&gt;&lt;/a&gt;
        <!-- display all forms attached to intro cell -->
        <xsl:apply-templates select="//cell[id = $introCellId]//webPage">
            <xsl:sort select="order" data-type="number" order="ascending"/>
        </xsl:apply-templates>
        <xsl:for-each select="//douglassMatrix/artifact/scaffolding/criteria/criteria[@index != '0']/id">
            <xsl:sort select="@index"/>
            <xsl:variable name="critId">
                <xsl:value-of select="."/>
            </xsl:variable>
            <xsl:variable name="cellId">
                <xsl:value-of select="//cell[./scaffoldingCell/level/id = $levelId and ./scaffoldingCell/rootCriterion/id = $critId]/id"/>
            </xsl:variable>
            <xsl:if test="count(//cell[id = $cellId]//attachments/attachment) > 0 or
                count(//cell[id = $cellId]//reflection) > 0 or 
                count(//cell[id = $cellId]//pageForms/pageForm) > 0"> 
                &lt;a name="<xsl:value-of select="$critId"/>"&gt;&lt;/a&gt;
                &lt;h3&gt;<xsl:value-of select="//cell[id = $cellId]/scaffoldingCell/rootCriterion/description"/>&lt;/h3&gt; 
                    <xsl:apply-templates select="//cell[id = $cellId]//reflection_rg">
                        <xsl:sort select="order"/>
                    </xsl:apply-templates> 
                <xsl:if test="count(//cell[id = $cellId]//attachments/attachment) > 0">
                &lt;div class="offsetSection"&gt; 
                &lt;h4&gt;Supporting Materials&lt;/h4&gt; 
                    &lt;ul&gt;
                        <xsl:apply-templates select="//cell[id = $cellId]//attachment"/>
                    &lt;/ul&gt; 
                &lt;/div&gt;
		</xsl:if>
                    &lt;div class="hideForPrint" style="float: right"&gt;&lt;a href="#top"&gt;Back to top&lt;/a&gt;&lt;/div&gt;
            </xsl:if>
            
        </xsl:for-each>
    </xsl:template>

    <xsl:template match="webPage"> &lt;h3&gt;<xsl:value-of select="pageTitle"/>&lt;/h3&gt; &lt;div class="offsetSection"&gt;<xsl:value-of select="pageContent" disable-output-escaping="yes"/>&lt;/div&gt; </xsl:template>

    <xsl:template match="reflection_rg"> 
        &lt;div class="offsetSection"&gt; 
        &lt;h4&gt;<xsl:value-of select="pageTitle" disable-output-escaping="yes"/>&lt;/h4&gt;
&lt;div style="white-space:pre-wrap" &gt;<xsl:value-of select="reflection" disable-output-escaping="yes"/>&lt;/div&gt;
        &lt;/div&gt; 
    </xsl:template>

    <xsl:template match="attachment"> &lt;li&gt;&lt;a href="<xsl:value-of select="artifact/fileArtifact/uri"/>"&gt; <xsl:value-of select="artifact/metaData/displayName"/> &lt;/a&gt;&lt;/li&gt; </xsl:template>

    <xsl:template name="link">
        <xsl:param name="presentationID"/>
        <xsl:param name="params"/>
        <xsl:param name="linkText"/>
        <xsl:text disable-output-escaping="yes">&lt;a href="viewPresentation.osp?id=</xsl:text>
        <xsl:value-of select="$presentationID"/>
        <xsl:value-of select="$params"/>
        <xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
        <xsl:value-of select="$linkText"/>
        <xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text>
    </xsl:template>

</xsl:stylesheet>
